Subject: Re: linux-next: JFFS2 corruption

From: Mark Jackson <[email-masked]>
Date: Thu, 28 Feb 2013 09:23:13 +0000

On 28/02/13 04:11, Philip, Avinash wrote:
> On Wed, Feb 27, 2013 at 20:42:01, Mark Jackson wrote:
>>
>> Okay, just tested 3v8 plus:-
>>
>> https://patchwork.kernel.org/patch/1931251/
>> https://patchwork.kernel.org/patch/1931221/
>> https://patchwork.kernel.org/patch/1931201/
>> and changed drivers/mtd/nand/elm.c, line 388 "ti,am33xx-elm" to "ti,am3352-elm"
>>
>> This produces an identical corruption.
>>
>> I have also tested next-20130225 and next-20130227, and both cause the same corruption.
> 
> JFFS2 is not supported in am335x with BCH8 ecc scheme because of ECC layout constraints.
> Reasons for disabling JFFS2 support documented in the wiki
> http://processors.wiki.ti.com/index.php/AM335x_JFFS2_Support_Guide#Reasons_for_disabling_JFFS2_support

Aha ... thanks for the link.

I'll move over to UBIFS then, although I did have issues with that too (which is why I went back
to JFFS2), but I'll start another thread if needs be.

Cheers
Mark J.